<?php
// специальный отчет для формирования SQL выборок для формиролвания вьюверов групп
include_once(_DIR_EXT.'/personal/report_personals.php') ;
class report_personals_ids_by_filter extends report_personals
{
 var $title='Отчет для отбора участников' ;

 // перекрывем для получения только ID а не всех столбцов
 function get_select_sql($usl)
 { $sql=
      'select fl.pkey 
       from obj_site_personals fl
       left join obj_site_workers so on so.personal_id=fl.pkey
       '.$this->join_table.' where '.$usl.' '.$this->join_usl.' 
       group by fl.pkey' ;

  return ($sql);
}

 function get_items($usl,$options=array())
 { $limit=($options['limit'])? ' '.$options['limit']:'' ;
   $options['no_group']=1 ;
   $options['no_indx']=1 ;
   $list_rec=execSQL($this->get_select_sql($usl).$limit,$options) ;
   return($list_rec) ;
 }

}

?>
